summaryrefslogtreecommitdiffstats
path: root/source/l/aspell/aspell.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/aspell/aspell.SlackBuild')
-rwxr-xr-xsource/l/aspell/aspell.SlackBuild27
1 files changed, 21 insertions, 6 deletions
diff --git a/source/l/aspell/aspell.SlackBuild b/source/l/aspell/aspell.SlackBuild
index 9aa5d6fa3..7e5ac9046 100755
--- a/source/l/aspell/aspell.SlackBuild
+++ b/source/l/aspell/aspell.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,10 +21,21 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=0.60.5
-ARCH=${ARCH:-x86_64}
+PKGNAM=aspell
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-BUILD=${BUILD:-3}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -35,6 +46,9 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
CWD=$(pwd)
@@ -46,7 +60,7 @@ mkdir -p $TMP $PKG/usr
cd $TMP
rm -rf aspell-$VERSION
-tar xjvf $CWD/aspell-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/aspell-$VERSION.tar.?z* || exit 1
cd aspell-$VERSION
chown -R root:root .
find . \
@@ -82,7 +96,7 @@ gzip -9 $PKG/usr/info/*
gzip -9 $PKG/usr/man/man?/*.?
mkdir -p $PKG/usr/doc/aspell-$VERSION
cp -a \
- COPYING README TODO \
+ COPYING* README* TODO \
$PKG/usr/doc/aspell-$VERSION
mv $PKG/usr/share/doc/aspell/*html $PKG/usr/doc/aspell-$VERSION
rm -rf $PKG/usr/share/doc
@@ -91,3 +105,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
makepkg -l y -c n $TMP/aspell-$VERSION-$ARCH-$BUILD.txz
+